From 4bfca11c1e2504364fe277b54bfc0c875ff9ef5d Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Nov 02 2020 07:59:11 +0000
Subject: [PATCH 1221/2232] Fix duplicated forward declaration for extern enums


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index ebef728..68b5468 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -31,7 +31,8 @@ pub(super) fn gen(apis: &[Api], types: &Types, opt: &Opt, header: bool) -> Vec<u
 
 fn write_forward_declarations(out: &mut OutFile, apis: &[Api]) {
     let needs_forward_declaration = |api: &&Api| match api {
-        Api::Struct(_) | Api::Enum(_) | Api::CxxType(_) | Api::RustType(_) => true,
+        Api::Struct(_) | Api::CxxType(_) | Api::RustType(_) => true,
+        Api::Enum(enm) => !out.types.cxx.contains(&enm.ident.rust),
         _ => false,
     };
 

